%define version 1.1rc2
Name:				iip
Summary:			Invisible IRC Project anonymizing proxy
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Networking/Daemons
Source:				http://prdownloads.sourceforge.net/invisibleip/iip-1.1-rc2.tgz
#Source1:			goober.init
#Patch0:				goober-2.1-make.patch
#Patch1:				goober-2.1-config.patch
#Prereq:				/sbin/chkconfig logrotate
#Obsoletes:			goober-novm
#Buildarch:			noarch
#Vendor:				William Stearns
URL:				http://www.invisiblenet.net/iip/
BuildRoot:			/tmp/iip-broot


%description
The Invisible IRC Project (IIP) was originally created so that people
interested in facilitating privacy and free speech could work to these
ends in an equally secure and anonymous environment. It has now become a
haven for anyone seeking anonymous, encrypted Internet Relay Chat. The
project's inspiration arose primarily from a shared interest in the
Freenet Project and a desire to provide the real-time communications
capabilities that Freenet could not.



%changelog
* Sat Oct 05 2002 William Stearns <wstearns@pobox.com>
- First RPM from 1.1-rc2 source


%prep
%setup -n iip-1.1-rc2
#%setup -n goober
#%setup -q -a 1
#%patch0 -p1 -b .make
#%patch1 -p1 -b .config


%build
cd src
make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/iip-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	#install -d $RPM_BUILD_ROOT/etc
	#install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	install -d $RPM_BUILD_ROOT/usr/bin
	install -d $RPM_BUILD_ROOT/usr/share/man/man1
	install -d $RPM_BUILD_ROOT/var/lib/iip
	#make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/goober.conf install
	cp -p src/isproxy $RPM_BUILD_ROOT/usr/bin
	cp -p doc/isproxy.1 $RPM_BUILD_ROOT/usr/share/man/man1
	cp -p src/node.ref $RPM_BUILD_ROOT/var/lib/iip
	#cp -p $RPM_SOURCE_DIR/goober.init $RPM_BUILD_ROOT/etc/rc.d/init.d/goober
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/iip-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
%attr(755,root,root)			/usr/bin/isproxy
%attr(644,root,root)			/var/lib/iip/node.ref
%attr(644,root,root)			/usr/share/man/man1/isproxy.1.gz
				%doc	AUTHORS CHANGELOG COPYING INSTALL README doc/*



#%attr(644,root,root)		%config	/etc/goober.conf
#%attr(755,root,root)			/etc/rc.d/init.d/goober
#%attr(755,root,root)			/sbin/goober
#				%doc	faq/* README ChangeLog QUICKSTART doc/*
#				%doc	contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
#%attr(750,nobody,nobody)	%dir	/var/log/goober
#%attr(750,nobody,nobody)	%dir	/var/spool/goober


#%pre
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#	#pre - $1=1 - first install
#else				#This is an upgrade
#	#pre - $1=2 - upgrade (techically, $1>1)
#fi
#
#
#%post
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#	/sbin/chkconfig --add goober
#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsd | wc -l` -eq 0 ]; then	#If no references to devfs yet
#			#Add the following lines just after #!/bin/sh or #!/bin/bash.
#			cat /etc/rc.d/rc.sysinit | sed -e 's@\(#!/bin/.*sh\)@\1\
#if [ -c /dev/.devfsd ]; then				#devfsdinstall\
#	if ! ps axf | grep [d]evfsd >/dev/null ; then	#devfsdinstall\
#		#devfs not running yet			#devfsdinstall\
#		/sbin/devfsd /dev			#devfsdinstall\
#	fi						#devfsdinstall\
#fi							#devfsdinstall\
#@' >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	else
#		echo You don\'t have an /etc/rc.d/rc.sysinit - you will need to add
#		echo 'if [ -c /dev/.devfsd ]; then'
#		echo '	if ! ps axf | grep [d]evfsd >/dev/null ; then'
#		echo '		/sbin/devfsd /dev'
#		echo '	fi'
#		echo 'fi'
#		echo to your initialization scripts, before any filesystem checking is done.
#	fi
#fi
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#	#post - $1=1 - first install
#else				#This is an upgrade
#	#post - $1=2 - upgrade (techically, $1>1)
#fi
#/usr/bin/at 04:00 <<EOTEXT
#/sbin/shutdown -r now
#EOTEXT
#
#
#%preun
#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#	#preun - $1=0 - final erasure
#	/sbin/chkconfig --del goober
#else				#This is an upgrade
#	#preun - $1=1 - upgrade (techically, $1>0)
#fi
#
#
#%postun
#if [ "$1" = "0" ]; then		#Final removal, not upgrade.
#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsdinstall | wc -l` -gt 0 ]; then
#			cat /etc/rc.d/rc.sysinit | grep -v devfsdinstall >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	fi
#fi
#
#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#	#postun - $1=0 - final erasure
#else				#This is an upgrade
#	#postun - $1=1 - upgrade (techically, $1>0)
#fi
#		
##Here are the scripts run at first install, in this order:
##pre - 1 - first install
##post - 1 - first install
#
##Here are the scripts run during an upgrade, in this order:
##pre - 2 - upgrade
##post - 2 - upgrade
##preun - 1 - upgrade
##postun - 1 - upgrade
#
##Here are the scripts run at final erase, in this order:
##preun - 0 - final erasure
##postun - 0 - final erasure
